package cn.ezhizao.project.business.workflow.service.impl;

import cn.ezhizao.project.business.workflow.domain.BizWorkFlow;
import cn.ezhizao.project.business.workflow.mapper.BizWorkFlowMapper;
import cn.ezhizao.project.business.workflow.service.BizWorkFlowService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;
@Service
public class BizWorkFlowServiceImpl extends ServiceImpl<BizWorkFlowMapper, BizWorkFlow> implements BizWorkFlowService {
    @Resource
    BizWorkFlowMapper workFlowDao;
    @Override
    public Integer physicallyDelete(Map<String, Object> conditions) {
        return workFlowDao.physicallyDelete(conditions);
    }

    @Override
    public List<BizWorkFlow> getList(Map<String, Object> conditions) {
        return workFlowDao.getList(conditions);
    }

    @Override
    public List<BizWorkFlow> getListByBean(BizWorkFlow conditions) {
        return workFlowDao.getList(conditions);
    }

    @Override
    public int getTotal(Map<String, Object> conditions) {
        return workFlowDao.getTotal(conditions);
    }

    @Override
    public List<BizWorkFlow> getWaitForVerify(Map<String, Object> conditions) {
        return workFlowDao.getWaitForVerify(conditions);
    }
}
